@import url(https://fonts.googleapis.com/css2?family=Nanum+Myeongjo&family=New+Tegomin&family=Raleway:wght@300;400;500&display=swap);
* {
  box-sizing: border-box;
}

html {
  font-family: "Raleway", Helvetica, sans-serif;
  background-color: #f8f4e1;
  background-size: contain;
  width: 100%;
  height: 100%;
  overflow: hidden;
  color: #0f1f1f;
  font-weight: 400;
  font-size: 20px;
}

body {
  width: 100%;
  height: 100%;
  margin: 0;
}

.font-secondary {
  font-family: "Nanum Myeongjo", Helvetica, serif;
}

.font-accent {
  font-family: "New Tegomin", Helvetica, cursive;
}

.h-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.h-wrapper + .h-wrapper {
  margin-top: 30px;
}

.is-hidden {
  opacity: 0;
  display: none;
}

.page {
  height: 100%;
  width: 100%;
  position: relative;
}

section {
  width: 100%;
  height: 100%;
  opacity: 1;
  transition: opacity 300ms ease-in;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
}

.link {
  text-decoration: none;
  color: #0f1f1f;
  margin-top: 20px;
  font-size: 20px;
}
.link + .link {
  margin-top: 100px;
}
.link:hover {
  text-decoration: underline;
}

.textfield {
  background-color: transparent;
  padding: 5px 5px;
  margin-top: 10px;
  font-size: 20px;
  border: none;
  border-bottom: 1px solid #4e3620;
  width: 80%;
  min-width: 280px;
  outline: none;
  transition: width 300ms ease-in;
}
.textfield:focus {
  width: 100%;
}

.coffee-choice__option {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  text-decoration: underline;
}

.size {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
}
.is-option {
  width: 100%;
  background-color: rgba(200, 238, 217, 0.6);
  padding: 3px 10px;
  display: block;
}
.is-option + .is-option {
  margin-top: 20px;
}

.button {
  padding: 8px 20px;
  background-color: rgba(78, 54, 32, 0.1);
  color: #0f1f1f;
  box-shadow: none;
  border: 1px solid #4e3620;
  border-radius: 3px;
}

img {
  position: absolute;
  object-fit: contain;
  width: 100%;
  height: auto;
  opacity: 0.1;
  top: 50%;
  z-index: -1;
}
